﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 31/08/2021 4:36:27
-- Server version: 5.5.5-10.1.40-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

--
-- Set default database
--
USE tienda_comics;

--
-- Drop table `dibujan`
--
DROP TABLE IF EXISTS dibujan;

--
-- Drop table `dibujantes`
--
DROP TABLE IF EXISTS dibujantes;

--
-- Drop table `lee`
--
DROP TABLE IF EXISTS lee;

--
-- Drop table `usuarios`
--
DROP TABLE IF EXISTS usuarios;

--
-- Drop table `telefonos`
--
DROP TABLE IF EXISTS telefonos;

--
-- Drop table `vende`
--
DROP TABLE IF EXISTS vende;

--
-- Drop table `establecimientos`
--
DROP TABLE IF EXISTS establecimientos;

--
-- Drop table `comics`
--
DROP TABLE IF EXISTS comics;

--
-- Drop table `editoriales`
--
DROP TABLE IF EXISTS editoriales;

--
-- Set default database
--
USE tienda_comics;

--
-- Create table `editoriales`
--
CREATE TABLE editoriales (
  codigo int(3) NOT NULL AUTO_INCREMENT,
  logotipo varchar(1000) DEFAULT NULL,
  nombre varchar(20) DEFAULT NULL,
  descripción varchar(1000) DEFAULT NULL,
  PRIMARY KEY (codigo)
)
ENGINE = INNODB,
AUTO_INCREMENT = 5,
AVG_ROW_LENGTH = 5461,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `comics`
--
CREATE TABLE comics (
  codigo_numerico int(3) NOT NULL AUTO_INCREMENT,
  nombre varchar(100) DEFAULT NULL,
  coleccion varchar(100) DEFAULT NULL,
  n_dibujante int(3) DEFAULT NULL,
  nombre_dibujante varchar(50) DEFAULT NULL,
  codigo_editorial int(3) DEFAULT NULL,
  portada varchar(1000) DEFAULT NULL,
  descripción varchar(10000) DEFAULT NULL,
  valoracion int(1) DEFAULT NULL,
  PRIMARY KEY (codigo_numerico)
)
ENGINE = INNODB,
AUTO_INCREMENT = 2,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE comics
ADD CONSTRAINT fk_comics_editoriales FOREIGN KEY (codigo_editorial)
REFERENCES editoriales (codigo);

--
-- Create table `establecimientos`
--
CREATE TABLE establecimientos (
  codigo int(5) NOT NULL AUTO_INCREMENT,
  nombre varchar(50) DEFAULT NULL,
  dirección varchar(1000) DEFAULT NULL,
  imagen_establecimiento varchar(1000) DEFAULT NULL,
  valoracion int(1) DEFAULT NULL,
  PRIMARY KEY (codigo)
)
ENGINE = INNODB,
AUTO_INCREMENT = 6,
AVG_ROW_LENGTH = 3276,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `vende`
--
CREATE TABLE vende (
  id int(3) NOT NULL AUTO_INCREMENT,
  codigo_establecimiento int(5) DEFAULT NULL,
  codigo_numerico_comic int(3) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 2,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE vende
ADD CONSTRAINT fk_ventas_comics FOREIGN KEY (codigo_numerico_comic)
REFERENCES comics (codigo_numerico);

--
-- Create foreign key
--
ALTER TABLE vende
ADD CONSTRAINT fk_ventas_establecimientos FOREIGN KEY (codigo_establecimiento)
REFERENCES establecimientos (codigo);

--
-- Create table `telefonos`
--
CREATE TABLE telefonos (
  id int(3) NOT NULL,
  codigo_establecimiento int(5) DEFAULT NULL,
  telefonos varchar(12) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 4096,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE telefonos
ADD CONSTRAINT fk_telefonos_establecimientos FOREIGN KEY (codigo_establecimiento)
REFERENCES establecimientos (codigo);

--
-- Create table `usuarios`
--
CREATE TABLE usuarios (
  codigo int(5) NOT NULL AUTO_INCREMENT,
  dni varchar(9) DEFAULT NULL,
  nombre varchar(20) DEFAULT NULL,
  teléfono varchar(12) DEFAULT NULL,
  PRIMARY KEY (codigo)
)
ENGINE = INNODB,
AUTO_INCREMENT = 11118,
AVG_ROW_LENGTH = 2340,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `lee`
--
CREATE TABLE lee (
  id int(3) NOT NULL AUTO_INCREMENT,
  codigo_usuario int(5) DEFAULT NULL,
  codigo_numerico_comic int(3) DEFAULT NULL,
  leido tinyint(1) DEFAULT NULL,
  favorito tinyint(1) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 2,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `uk_cliente_comic` on table `lee`
--
ALTER TABLE lee
ADD UNIQUE INDEX uk_cliente_comic (codigo_usuario, codigo_numerico_comic);

--
-- Create foreign key
--
ALTER TABLE lee
ADD CONSTRAINT fk_lee_comics FOREIGN KEY (codigo_numerico_comic)
REFERENCES comics (codigo_numerico);

--
-- Create foreign key
--
ALTER TABLE lee
ADD CONSTRAINT fk_lee_usuarios FOREIGN KEY (codigo_usuario)
REFERENCES usuarios (codigo);

--
-- Create table `dibujantes`
--
CREATE TABLE dibujantes (
  codigo int(3) NOT NULL AUTO_INCREMENT,
  nombre varchar(50) DEFAULT NULL,
  apellido varchar(20) DEFAULT NULL,
  biografia varchar(1000) DEFAULT NULL,
  foto varchar(1000) DEFAULT NULL,
  PRIMARY KEY (codigo)
)
ENGINE = INNODB,
AUTO_INCREMENT = 5,
AVG_ROW_LENGTH = 4096,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `dibujan`
--
CREATE TABLE dibujan (
  id int(3) NOT NULL AUTO_INCREMENT,
  codigo_dibujante int(3) DEFAULT NULL,
  codigo_numerico_comic int(3) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 2,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `uk_dibujantes_comics` on table `dibujan`
--
ALTER TABLE dibujan
ADD UNIQUE INDEX uk_dibujantes_comics (codigo_dibujante, codigo_numerico_comic);

--
-- Create foreign key
--
ALTER TABLE dibujan
ADD CONSTRAINT fk_comic_dibujo FOREIGN KEY (codigo_numerico_comic)
REFERENCES comics (codigo_numerico);

--
-- Create foreign key
--
ALTER TABLE dibujan
ADD CONSTRAINT fk_dibujar_comic FOREIGN KEY (codigo_dibujante)
REFERENCES dibujantes (codigo);

-- 
-- Dumping data for table editoriales
--
INSERT INTO editoriales VALUES
(1, '', 'Marvel', ''),
(2, '', 'DC', ''),
(4, '', 'Image Comics', '');

-- 
-- Dumping data for table establecimientos
--
INSERT INTO establecimientos VALUES
(1, 'Nemesis', 'calle Cisneros', '', 5),
(2, 'Nexus', 'calle Madrid', '', 5),
(3, 'Distrito Cero', 'calle Rua', '', 5),
(4, 'Akira Comics', 'calle Victoria', '', 5),
(5, 'Elektra Cómic', 'Calle Paraíso 19 39100, Santander', '@web/images/nemesis.jpg', NULL);

-- 
-- Dumping data for table usuarios
--
INSERT INTO usuarios VALUES
(11111, '72196759B', 'Pablo Gonzalez', '+34654789992'),
(11112, '78955759R', 'Lucas Coppola', '+34654789992'),
(11113, '73194959B', 'Tomás Sánchez', '+56654789912'),
(11114, '72196759U', 'Sergio Antúnez', '+49654789992'),
(11115, '72111759A', 'Beatriz García', '+49657787992'),
(11116, '73396359I', 'Sandra Pérez', '+34654789992'),
(11117, '72195669K', 'Lara Moreno', '+34654789867');

-- 
-- Dumping data for table dibujantes
--
INSERT INTO dibujantes VALUES
(1, 'Dan', 'Slott', ' ', ''),
(2, 'Jack', 'Kirby', ' ', ''),
(3, 'David', 'Aja', ' ', ''),
(4, 'Todd', 'McFarlane', ' ', '');

-- 
-- Dumping data for table comics
--
INSERT INTO comics VALUES
(1, 'SPAWN', 'EL INFIERNO EN LA TIERRA', 4, NULL, 4, '', 'Asesinado por sus propios hombres, el agente gubernamental Al Simmons llegó a un trato con el diablo que lo resucitó de las profundidades del Infierno.Desde que regresó a la Tierra vigila los olvidados callejones de Nueva York como el guerrero Spawn, un héroe diferente a los demás.', 5);

-- 
-- Dumping data for table vende
--
INSERT INTO vende VALUES
(1, 1, 1);

-- 
-- Dumping data for table telefonos
--
INSERT INTO telefonos VALUES
(1, 1, '+34942056789'),
(2, 2, '+34942057656'),
(3, 3, '+34942034561'),
(4, 4, '+34902056789');

-- 
-- Dumping data for table lee
--
INSERT INTO lee VALUES
(1, 11111, 1, 1, 1);

-- 
-- Dumping data for table dibujan
--
INSERT INTO dibujan VALUES
(1, 1, 1);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;